/*
 * This file is part of libtqtvd_astronav
 *
 * Copyright (C) 2008-2017 TQTVD Software
 * Copyright (C) 2017 Mirakulo Software (mirakulo@mirakulo.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */

/**
 * @file  BCNativeImageGraphicManager.cpp
 *
 * AstroNav TQTVD Implementation of BCNativeImage class.
 *
 */

#include "BCNativeImageGraphicManager.h"

extern  IGraphicManagerAdapter* g_graphicManager;

namespace BAL {

BCNativeImage::BCNativeImage(IGraphicManagerAdapterSurface* surface)
	: m_surface(surface)
	, m_hasAlpha(true)
{
	int ret_width, ret_height;

	surface->GetSize(&ret_width, &ret_height);
	m_size = IntSize(ret_width, ret_height);
}

BCNativeImage::~BCNativeImage()
{
	if (m_surface)
	{
		if(g_graphicManager)
			m_surface = g_graphicManager->DestroySurface(m_surface);
		m_surface = NULL;
	}

}

IntSize BCNativeImage::size() const
{
	return m_size;
}

bool BCNativeImage::hasAlpha()
{
	return m_hasAlpha;
}

}
